<back to all web services

ClearCacheRequest

The following routes are available for this service:
POST/RestApi/cache//clear
"use strict";
export class ClearCacheRequest {
    constructor(init) { Object.assign(this, init) }
}
export class ClearCacheResponse {
    /** @param {{Result?:boolean,Message?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {boolean} */
    Result;
    /** @type {string} */
    Message;
}

JavaScript ClearCacheRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/cache//clear HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	Result: False,
	Message: String
}